{% extends 'sessions/index.html' %}
{% block content %}
<div class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-6">
                <h3 class="m-0 text-dark">Sessions</h3>
            </div><!-- /.col -->
            <div class="col-sm-6">
                <ol class="breadcrumb d-flex justify-content-end">
                    <li class="breadcrumb-item"><a href="/">Home</a></li>
                    <li class="breadcrumb-item " aria-current="page">Session List</li>
                </ol>
            </div><!-- /.col -->
        </div><!-- /.row -->
    </div><!-- /.container-fluid -->
</div>
<!-- Main content -->
<section class="content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header text-right">
                        <a href="{% url 'add_session' %}" class="btn idl-btn add-btn-table"><span
                                class="bi bi-plus"></span>Add new</a>
                    </div>
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th scope="col">Key</th>
                            <th scope="col">Start Time</th>
                            <th scope="col">End Time</th>
                            <th scope="col">Action</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for session in sessions %}
                        <tr>
                            <td>{{session.key}}</td>
                            <td>{{ session.start_time }}</td>
                            <td>{{session.end_time}}</td>
                            <td>
                                <div class="dropdown">
                                    <a class="dropdown-toggle down-after" type="button"
                                       id="dropdownMenuButton1" data-bs-toggle="dropdown" aria-expanded="false">
                                        <i class="bi bi-three-dots-vertical"></i>
                                    </a>
                                    <ul class="dropdown-menu" aria-labelledby="dropdownMenuButton1">
                                        <li><a class="dropdown-item" href="{{ session.id }}/edit/">update session</a>
                                        </li>
                                        <li><a class="dropdown-item" href="{{ session.id }}/">delete session</a></li>
                                    </ul>
                                </div>
                            </td>
                        </tr>
                        {% empty %}
                        <tr>
                            <td colspan="6">
                                <div class="no-record">
                                    <img src="/static/images/no-record.svg">
                                    <h1 class="d-flex justify-content-center">No Data Found</h1>
                                </div>

                            </td>
                        </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</section>
{% endblock %}